Create Risk Range
Create a new set of risk ranges.
Risk ranges can be created at the library level, by setting an associated library ID. Risk ranges can be created at the engagement level by setting an engagement ID. You must set at least one of these IDs to successfully create a risk range.
Permissions
api.risk-ranges.write
curl --request POST \
--url https://{tenant}.mindbridge.ai/api/v1/risk-ranges \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"libraryId": "<string>",
"analysisTypeId": "<string>",
"name": "<string>",
"low": {
"lowThreshold": 5000,
"highThreshold": 5000
},
"medium": {
"lowThreshold": 5000,
"highThreshold": 5000
},
"high": {
"lowThreshold": 5000,
"highThreshold": 5000
},
"description": "<string>"
}
'import requests
url = "https://{tenant}.mindbridge.ai/api/v1/risk-ranges"
payload = {
"libraryId": "<string>",
"analysisTypeId": "<string>",
"name": "<string>",
"low": {
"lowThreshold": 5000,
"highThreshold": 5000
},
"medium": {
"lowThreshold": 5000,
"highThreshold": 5000
},
"high": {
"lowThreshold": 5000,
"highThreshold": 5000
},
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
libraryId: '<string>',
analysisTypeId: '<string>',
name: '<string>',
low: {lowThreshold: 5000, highThreshold: 5000},
medium: {lowThreshold: 5000, highThreshold: 5000},
high: {lowThreshold: 5000, highThreshold: 5000},
description: '<string>'
})
};
fetch('https://{tenant}.mindbridge.ai/api/v1/risk-ranges', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"version": 123,
"low": {
"lowThreshold": 5000,
"highThreshold": 5000
},
"medium": {
"lowThreshold": 5000,
"highThreshold": 5000
},
"high": {
"lowThreshold": 5000,
"highThreshold": 5000
},
"system": true,
"libraryId": "<string>",
"engagementId": "<string>",
"analysisTypeId": "<string>",
"name": "<string>",
"description": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Identifies the library associated with this risk range.
Identifies the analysis type associated with this risk range.
The name of the risk range.
80The low range bounds.
Show child attributes
Show child attributes
The medium range bounds.
Show child attributes
Show child attributes
The high range bounds.
Show child attributes
Show child attributes
The description of the risk range.
250Response
Created
The unique object identifier.
Data integrity version to ensure data consistency.
The low range bounds.
Show child attributes
Show child attributes
The medium range bounds.
Show child attributes
Show child attributes
The high range bounds.
Show child attributes
Show child attributes
Indicates whether or not the risk ranges are a MindBridge system risk range.
Identifies the library associated with this risk range.
Identifies the engagement associated with this risk range.
Identifies the analysis type associated with this risk range.
The name of the risk range.
The description of the risk range.
Was this page helpful?

